var mongoose = require("mongoose");
var Schema = mongoose.Schema;
var autoInc = require("mongoose-auto-increment");

const BookSchema = new Schema({
  _id: { type: Number },
  title: { type: String },
  grade: { type: String },
  major: { type: String },
  type: { type: String },
  src: { type: String },
  stock: { type: Number }
});

autoInc.initialize(mongoose.connection);
BookSchema.plugin(autoInc.plugin, "Book");

module.exports = mongoose.model("Book", BookSchema);
